#!/usr/bin/env bash
KEY_STORE=$HOME/.config/upload-keystore.jks
KEY_ALIAS=upload

rm -rf presentation/build
./gradlew clean assembleApkstoreRelease
cd presentation/build/outputs/apk/apkstore/release/
zipalign -p -f -v 4 presentation-apkstore-release-unsigned.apk cryptomator.apk
apksigner sign --ks $KEY_STORE --ks-key-alias $KEY_ALIAS -v cryptomator.apk
cp presentation/build/outputs/apk/apkstore/release/cryptomator.apk ../../../../../../